此内容没有您所选择的语言版本。
Chapter 2. Appendix A: Red Hat Quay Application Programming Interface (API)
This API allows you to perform many of the operations required to work with Red Hat Quay repositories, users, and organizations.
2.1.1. get /api/v1/organization/{orgname}/invoices 复制链接链接已复制到粘贴板!
2.1.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the invoices for the specified organization.
2.1.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.1.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.1.2. get /api/v1/plans/ 复制链接链接已复制到粘贴板!
2.1.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the available plans.
2.1.2.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.1. get /api/v1/repository/{repository}/build/ 复制链接链接已复制到粘贴板!
2.2.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get the list of repository builds.
2.2.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| since | Returns all builds since the given unix timecode | query | integer | |
| limit | The maximum number of builds to return | query | integer |
2.2.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.2. post /api/v1/repository/{repository}/build/ 复制链接链接已复制到粘贴板!
2.2.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Request that a repository be built and pushed from the specified input.
2.2.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.2.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Return the status for the builds specified by the build uuids.
2.2.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Cancels a repository build.
2.2.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
Returns information about a build.
2.2.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.6.1. Implementation Notes 复制链接链接已复制到粘贴板!
Return the build logs for the build specified by the build uuid.
2.2.6.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.6.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.3. discovery : API discovery information. 复制链接链接已复制到粘贴板!
2.3.1. get /api/v1/discovery 复制链接链接已复制到粘贴板!
2.3.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List all of the API endpoints available in the swagger API format.
2.3.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| internal | true / false | Whether to include internal APIs. | query | boolean |
2.3.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.4. error : Error details API 复制链接链接已复制到粘贴板!
2.4.1. get /api/v1/error/{error_type} 复制链接链接已复制到粘贴板!
2.4.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get a detailed description of the error
2.4.1.2. Response Class (Status 200) 复制链接链接已复制到粘贴板!
Model: Model Schema
{
"type": "string",
"description": "string",
"title": "downstream_issue"
}
2.4.1.3. Response Content Type: application/json 复制链接链接已复制到粘贴板!
2.4.1.4. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| error_type | required | The error code identifying the type of error. | path | string |
2.4.1.5. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.5. globalmessages : Messages API. 复制链接链接已复制到粘贴板!
2.5.1. get /api/v1/messages 复制链接链接已复制到粘贴板!
2.5.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Return a super user’s messages
2.5.1.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.5.1.3. post /api/v1/messages 复制链接链接已复制到粘贴板!
2.5.1.4. Implementation Notes 复制链接链接已复制到粘贴板!
Create a message
2.5.1.5. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.5.1.6. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.6. image : List and lookup repository images 复制链接链接已复制到粘贴板!
2.6.1. get /api/v1/repository/{repository}/image/ 复制链接链接已复制到粘贴板!
2.6.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the images for the specified repository.
2.6.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.6.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.6.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get the information available for the specified image.
2.6.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| image_id | required | The Docker image ID | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.6.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.1. get /api/v1/organization/{orgname}/logs 复制链接链接已复制到粘贴板!
2.7.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the logs for the specified organization.
2.7.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| next_page | The page token for the next page | path | string | |
| performer | Username for which to filter logs. | path | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | path | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | path | string |
2.7.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.2. get /api/v1/repository/{repository}/logs 复制链接链接已复制到粘贴板!
2.7.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the logs for the specified repository.
2.7.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| next_page | The page token for the next page | path | string | |
| performer | Username for which to filter logs. | path | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | path | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | path | string |
2.7.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.3. get /api/v1/user/logs 复制链接链接已复制到粘贴板!
2.7.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the logs for the current user.
2.7.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| next_page | The page token for the next page | path | string | |
| performer | Username for which to filter logs. | path | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | path | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | path | string |
2.7.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8. manifest : Manage the manifests of a repository. 复制链接链接已复制到粘贴板!
2.8.1.1. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| manifestref | required | The digest of the manifest | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| filter | If specified, only labels matching the given prefix will be returned | query | string |
2.8.1.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Adds a new label into the tag manifest.
2.8.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| manifestref | required | The digest of the manifest | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required | request body contents. | body |
|
2.8.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Deletes an existing label from a manifest.
2.8.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| labelid | required | The ID of the label | path | string |
| manifestref | required | The digest of the manifest | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.8.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Retrieves the label with the specific ID under the manifest.
2.8.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| labelid | required | The ID of the label | path | string |
| manifestref | required | The digest of the manifest | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.8.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.5.1. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| manifestref | required | The digest of the manifest | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.8.5.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Removes a member from an organization, revoking all its repository priviledges and removing it from all teams in the organization.
2.9.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| membername | required | The username of the organization member | path | string |
2.9.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Retrieves the details of a member of the organization.
2.9.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| membername | required | The username of the organization member | path | string |
2.9.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.3. delete /api/v1/organization/{orgname} 复制链接链接已复制到粘贴板!
2.9.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Deletes the specified organization.
2.9.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.9.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.4. get /api/v1/organization/{orgname} 复制链接链接已复制到粘贴板!
2.9.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get the details for the specified organization
2.9.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.9.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.5. put /api/v1/organization/{orgname} 复制链接链接已复制到粘贴板!
2.9.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
Change the details for the specified organization.
2.9.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.9.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.6. get /api/v1/organization/{orgname}/collaborators 复制链接链接已复制到粘贴板!
2.9.6.1. Implementation Notes 复制链接链接已复制到粘贴板!
List outside collaborators of the specified organization.
2.9.6.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.9.6.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.7.1. Implementation Notes 复制链接链接已复制到粘贴板!
Deletes the application under this organization.
2.9.7.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| client_id | required | The OAuth client ID | path | string |
2.9.7.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.8.1. Implementation Notes 复制链接链接已复制到粘贴板!
Retrieves the application with the specified client_id under the specified organization
2.9.8.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| client_id | required | The OAuth client ID | path | string |
2.9.8.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.9.1. Implementation Notes 复制链接链接已复制到粘贴板!
Updates an application under this organization.
2.9.9.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| client_id | required | The OAuth client ID | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.9.9.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.10. post /api/v1/organization/ 复制链接链接已复制到粘贴板!
2.9.10.1. Implementation Notes 复制链接链接已复制到粘贴板!
Create a new organization.
2.9.10.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.9.10.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.11. get /api/v1/app/{client_id} 复制链接链接已复制到粘贴板!
2.9.11.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get information on the specified application.
2.9.11.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| client_id | required | The OAuth client ID | path | string |
2.9.11.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.12. get /api/v1/organization/{orgname}/applications 复制链接链接已复制到粘贴板!
2.9.12.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the applications for the specified organization
2.9.12.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| orgname | required | The name of the organization | path | string |
2.9.12.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.13. post /api/v1/organization/{orgname}/applications 复制链接链接已复制到粘贴板!
2.9.13.1. Implementation Notes 复制链接链接已复制到粘贴板!
Creates a new application under this organization.
2.9.13.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.9.13.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.14. get /api/v1/organization/{orgname}/members 复制链接链接已复制到粘贴板!
2.9.14.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the human members of the specified organization.
2.9.14.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.9.14.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10. permission : Manage repository permissions. 复制链接链接已复制到粘贴板!
2.10.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete the permission for the specified team.
2.10.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| teamname | required | The name of the team to which the permission applies | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.10.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Fetch the permission for the specified team.
2.10.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| teamname | required | The name of the team to which the permission applies | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.10.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Update the existing team permission.
2.10.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| teamname | required | The name of the team to which the permission applies | path |
|
| repository | required | The full path of the repository, e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.10.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
List all user permissions.
2.10.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.10.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
List all team permission.
2.10.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.10.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.6.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete the permission for the user.
2.10.6.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| username | required | The username of the user to which the permission applies | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.10.6.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.7.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get the permission for the specified user.
2.10.7.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| username | required | The username of the user to which the permission applies | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.10.7.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.8.1. Implementation Notes 复制链接链接已复制到粘贴板!
Update the perimssions for an existing repository.
2.10.8.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.10.8.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.9.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get the fetch the permission for the specified user.
2.10.9.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| username | required | The name of the user to which the permissions apply | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.10.9.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.1. get /api/v1/organization/{orgname}/prototypes 复制链接链接已复制到粘贴板!
2.11.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the existing prototypes for this organization.
2.11.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.11.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| orgname |
| required | The name of the organization |
| string "error_message": "string", "title": "string", "error_type": "string", "detail": "string", "type": "string" } |
| 404 |
| Model: Model Schema { "status": 0, "error_message": "string", "title": "string", "error_type": "string", "detail": "string", "type": "string" } |
2.11.2. post /api/v1/organization/{orgname}/prototypes 复制链接链接已复制到粘贴板!
2.11.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Create a new permission prototype.
2.11.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.11.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete an existing permission prototype.
2.11.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| prototypeid | required | The ID of the prototype | path | string |
2.11.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Update the role of an existing permission prototype.
2.11.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| prototypeid | required | The ID of the prototype | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.11.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12. repository : List, create and manage repositories. 复制链接链接已复制到粘贴板!
2.12.1. post /api/v1/repository/{repository}/changetrust 复制链接链接已复制到粘贴板!
2.12.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Change the visibility of a repository.
2.12.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.12.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.2. get /api/v1/repository 复制链接链接已复制到粘贴板!
2.12.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Fetch the list of repositories visible to the current user under a variety of situations.
2.12.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| next_page | The page token for the next page | path | string | |
| repo_kind | The kind of repositories to return | path | string | |
| popularity | true / false | Whether to include the repository’s popularity metric. | query | boolean |
| last_modified | true / false | Whether to include when the repository was last modified. | query | boolean |
| public | true / false | Adds any repositories visible to the user by virtue of being public | query | boolean |
| starred | true / false | Filters the repositories returned to those starred by the user | query | boolean |
| namespace | Filters the repositories returned to this namespace | query | string |
2.12.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.3. post /api/v1/repository 复制链接链接已复制到粘贴板!
2.12.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Create a new repository.
2.12.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.12.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Change the visibility of a repository.
2.12.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.12.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.5. delete /api/v1/repository/{repository} 复制链接链接已复制到粘贴板!
2.12.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete a repository.
2.12.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.12.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.6. get /api/v1/repository/{repository} 复制链接链接已复制到粘贴板!
2.12.6.1. Implementation Notes 复制链接链接已复制到粘贴板!
Fetch the specified repository.
2.12.6.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
| includeTags | true / false | Whether to include repository tags | query | boolean |
| includeStats | true / false | Whether to include action statistics | query | boolean |
2.12.6.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.7. put /api/v1/repository/{repository} 复制链接链接已复制到粘贴板!
2.12.7.1. Implementation Notes 复制链接链接已复制到粘贴板!
Update the description in the specified repository.
2.12.7.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.12.7.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Queues a test notification for this repository.
2.13.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.13.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Deletes the specified notification.
2.13.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.13.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get information for the specified notification.
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.13.3.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Resets repository notification to 0 failures.
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.13.4.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the notifications for the specified repository.
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.13.5.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.6.1. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.13.6.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.1. get /api/v1/repository/{repository}/tokens/ 复制链接链接已复制到粘贴板!
2.14.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the tokens for the specified repository.
2.14.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.2. post /api/v1/repository/{repository}/tokens/ 复制链接链接已复制到粘贴板!
2.14.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Create a new repository token.
2.14.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.14.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete the repository token.
2.14.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| code | required | The token code | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Fetch the specified repository token information.
2.14.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| code | required | The token code | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
Update the permissions for the specified repository token.
2.14.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| code | required | The token code | path |
|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.14.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.6. get /api/v1/user/robots 复制链接链接已复制到粘贴板!
2.14.6.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the available robots for the user.
2.14.6.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| limit | If specified, the number of robots to return. | query | integer | |
| token | true / false | If false, the robot’s token is not returned. | query | boolean |
| permissions | true / false | Whether to include repositories and teams in which the robots have permission. | query | boolean |
2.14.6.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.7.1. Implementation Notes 复制链接链接已复制到粘贴板!
Returns the list of repository permissions for the org’s robot.
2.14.7.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.14.7.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.8.1. Implementation Notes 复制链接链接已复制到粘贴板!
Regenerates the token for an organization robot.
2.14.8.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.14.8.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.9. get /api/v1/organization/{orgname}/robots 复制链接链接已复制到粘贴板!
2.14.9.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the organization’s robots.
2.14.9.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| limit | If specified, the number of robots to return | query | integer | |
| token | true / false | If false, the robot’s token is not returned. | query | boolean |
| permission | true / false | Whether to include repostories and teams in which the robots have permission. | query | boolean |
2.14.9.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.10.1. Implementation Notes 复制链接链接已复制到粘贴板!
Returns the list of repository permissions for the user’s robot.
2.14.10.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.14.10.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.11.1. Implementation Notes 复制链接链接已复制到粘贴板!
Regenerates the token for a user’s robot.
2.14.11.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.14.11.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.12.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete an existing organization robot.
2.14.12.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.14.12.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.13.1. Implementation Notes 复制链接链接已复制到粘贴板!
Returns the organization’s robot with the specified name.
2.14.13.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.14.13.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.14.1. Implementation Notes 复制链接链接已复制到粘贴板!
Create a new robot in the organization.
2.14.14.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.14.14.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.15. delete /api/v1/user/robots/{robot_shortname} 复制链接链接已复制到粘贴板!
2.14.15.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete an existing robot.
2.14.15.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
2.14.15.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.16. get /api/v1/user/robots/{robot_shortname} 复制链接链接已复制到粘贴板!
2.14.16.1. Implementation Notes 复制链接链接已复制到粘贴板!
Returns the user’s robot with the specified name.
2.14.16.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
2.14.16.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.17. put /api/v1/user/robots/{robot_shortname} 复制链接链接已复制到粘贴板!
2.14.17.1. Implementation Notes 复制链接链接已复制到粘贴板!
Create a new user robot with the specified name.
2.14.17.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.14.17.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.1. get /api/v1/find/all 复制链接链接已复制到粘贴板!
2.15.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get a list of entities and resources that match the specified query.
2.15.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| query | The search query. | query | string |
2.15.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.2. get /api/v1/find/repositories 复制链接链接已复制到粘贴板!
2.15.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get a list of apps and repositories that match the specified query.
2.15.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| page | The page. | query | integer | |
| query | The search query | query | string |
2.15.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.3. get /api/v1/entities/{prefix} 复制链接链接已复制到粘贴板!
2.15.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get a list of entities that match the specified prefix.
2.15.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| prefix | required | path | string | |
| includeOrgs | true / false | Whether to include orgs names. | query | boolean |
| includeTeams | true / false | Whether to include orgs names. | query | boolean |
| namespace | Namespace to use when querying for org entities. | query | string |
2.15.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.16.1.1. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| mainifestref | required | The digest of the manifest | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| vulnerabilities | true / false | Include vulnerabilities | query | boolean |
2.16.1.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.16.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Fetches the features and vulnerabilities (if any) for a repository image.
2.16.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| imageid | required | The image ID | path | string |
| vulnerabilities | true / false | Include vulnerabilities | query | boolean |
2.16.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.1. get /api/v1/repository/{repository}/signatures 复制链接链接已复制到粘贴板!
2.17.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Fetches the list of signed tags for the repository.
2.17.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.17.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18. tag : Manage the tags of a repository. 复制链接链接已复制到粘贴板!
2.18.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the images for the specified repository tag.
2.18.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| tag | required | The name of the tag | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| Owned | true / false | If specified, only images wholely owned by this tag are returned. | query | boolean |
2.18.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Restores a repository tag back to a previous image in the repository.
2.18.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| tag | required | The name of the tag | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.18.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.3. delete /api/v1/repository/{repository}/tag/{tag} 复制链接链接已复制到粘贴板!
2.18.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete the specified repository tag.
2.18.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| tag | required | The name of the tag | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
2.18.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.4. put /api/v1/repository/{repository}/tag/{tag} 复制链接链接已复制到粘贴板!
2.18.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Change which image a tag points to or create a new tag.
2.18.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| tag | required | The name of the tag | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.18.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.5. get /api/v1/repository/{repository}/tag/ 复制链接链接已复制到粘贴板!
2.18.5.1. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| onlyActiveTags | true / false | Filter to only active tags. | query | boolean |
| page | Page index for the results. Default 1. | query | integer | |
| limit | Limit to the number of results to return per page. Max 100. | query | integer | |
| specificTag | Filters the tags to the specific tag. | query | string |
2.18.5.2. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Retrieve the list of members for the specified team.
2.19.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
| includePending | true / false | Whether to include pending members | query | boolean |
2.19.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Returns the list of repository permissions for the org’s team.
2.19.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
2.19.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete an invite of an email address to join a team.
2.19.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | path | string | |
| | required | path | string | |
| teamname | required | path | string |
2.19.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
Invites an email address to an existing team.
2.19.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | path | string | |
| | required | path | string | |
| teamname | required | path | string |
2.19.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete the specified team.
2.19.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
2.19.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.6.1. Implementation Notes 复制链接链接已复制到粘贴板!
Update the org-wide permission for the specified team.
2.19.6.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| teamname | required | The name of the team | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.19.6.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.7.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete a member of a team. If the user is merely invited to join the team, then the invite is removed instead.
2.19.7.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| membername | required | The username of the team member | path | string |
| teamname | required | The name of the team | path | string |
2.19.7.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.8.1. Implementation Notes 复制链接链接已复制到粘贴板!
Adds or invites a member to an existing team.
2.19.8.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| membername | required | The username of the team member | path | string |
| teamname | required | The name of the team | path | string |
2.19.8.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20. trigger : Create, list and manage build triggers. 复制链接链接已复制到粘贴板!
2.20.1. get /api/v1/repository/{repository}/trigger/ 复制链接链接已复制到粘贴板!
2.20.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the triggers for the specified repository.
2.20.1.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.20.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Activate the specified build trigger.
2.20.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.20.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
Manually start a build from the specified trigger.
2.20.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.20.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
List the builds started by the specified trigger.
2.20.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| limit | The maximum number of builds to return | query | integer |
2.20.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
Delete the specified build trigger.
2.20.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.20.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| 400 |
| Bad Request | Mode: Model Schema { "status": 0, "error_message": "string", "title": "string", "error_type": "string", "detail": "string", "type": "string" |
| 401 |
| Session required | Model: Model Schema { "status": 0, "error_message": "string", "title": "string", "error_type": "string", "detail": "string", "type": "string" } |
| 403 |
| Unauthorized access | Model: Model Schema { "status": 0, "error_message": "string", "title": "string", "error_type": "string", "detail": "string", "type": "string" } |
| 404 |
2.20.6.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get information for the specified build trigger.
2.20.6.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.20.6.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.7.1. Implementation Notes 复制链接链接已复制到粘贴板!
Updates the specified build trigger.
2.20.7.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.20.7.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21. user : Manage the current user. 复制链接链接已复制到粘贴板!
2.21.1. get /api/v1/user/ 复制链接链接已复制到粘贴板!
2.21.1.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get user information for the authenticated user.
2.21.1.2. Response Class (Status 200) 复制链接链接已复制到粘贴板!
Model: Model Schema
{
"organizations": [
{}
],
"verified": true,
"avatar": {},
"anonymous": true,
"logins": [
{}
],
"can_create_repo": true,
"preferred_namespace": true,
"email": "string"
}
Response Content Type: application/json
2.21.1.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.2. get /api/v1/users/{username} 复制链接链接已复制到粘贴板!
2.21.2.1. Implementation Notes 复制链接链接已复制到粘贴板!
Get user information for the specified user.
2.21.2.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| username | required | path | string |
2.21.2.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.3. get /api/v1/user/starred 复制链接链接已复制到粘贴板!
2.21.3.1. Implementation Notes 复制链接链接已复制到粘贴板!
List all starred repositories.
2.21.3.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| next_page | required | The page token for the next page | path | string |
2.21.3.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.4. post /api/v1/user/starred 复制链接链接已复制到粘贴板!
2.21.4.1. Implementation Notes 复制链接链接已复制到粘贴板!
2.21.4.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.21.4.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.5. delete /api/v1/user/starred/{repository} 复制链接链接已复制到粘贴板!
2.21.5.1. Implementation Notes 复制链接链接已复制到粘贴板!
Removes a star from a repository.
2.21.5.2. Parameters 复制链接链接已复制到粘贴板!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.21.5.3. Response Messages 复制链接链接已复制到粘贴板!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|